﻿using BEPUphysics.Entities;
using BEPUphysics.Entities.Prefabs;
using UnityEngine;
using PVector3 = BEPUutilities.Vector3;

public class PhysicsShapeBox : PhysicsShape
{
    public Vector3 size = Vector3.one;

    public override Entity CreateEntity(float mass)
    {
        var tPos = transform.position + center;
        var tScale = transform.localScale;
        var ePos = new PVector3(tPos.x, tPos.y, tPos.z);
        var width = (size.x * tScale.x);
        var height = (size.y * tScale.y);
        var length= (size.z * tScale.z);
        return new Box(ePos, width, height, length, mass);
    }
}
