﻿using BEPUphysics.Entities;
using BEPUphysics.Entities.Prefabs;
using PVector3 = BEPUutilities.Vector3;

public class PhysicsShapeSphere : PhysicsShape
{
    public float radius = 0.5f;

    public override Entity CreateEntity(float mass)
    {
        var tPos = transform.position + center;
        var tScale = transform.localScale;
        float maxScale = tScale.x;
        maxScale = maxScale < tScale.y ? tScale.y : maxScale;
        maxScale = maxScale < tScale.z ? tScale.z : maxScale;
        var ePos = new PVector3(tPos.x, tPos.y, tPos.z);
        return new Sphere(ePos, (radius * maxScale), mass);
    }
}
